# saga::permissions Class Reference

The SAGA permission interface. More...

`#include <permissions.hpp>`

Inheritance diagram for saga::permissions:

[legend]

List of all members.

## Public Types
enum | permission { None = 0, Query = 1, Read = 2, Write = 4, Exec = 8, Owner = 0x10, All = 0x1F }
| This enum specifies the available permissions in SAGA. More...
## Public Member Functions
| permissions (saga::object rhs)
| Brief description starts here.
| permissions (saga::impl::object *impl)
| Brief description starts here.
| ~permissions (void)
| Brief description starts here.

## Detailed Description

The SAGA permission interface.

## Member Enumeration Documentation

enum saga::permissions::permission

This enum specifies the available permissions in SAGA.

Enumerator:

  None |
  Query |
  Read |
  Write |
  Exec |
  Owner |
  All |

## Constructor & Destructor Documentation

saga::permissions::permissions | ( | saga::object | rhs | ) |

Brief description starts here.

saga::permissions::permissions | ( | saga::impl::object * | impl | ) | `[explicit]`

Brief description starts here.

saga::permissions::~permissions | ( | void |  | ) |

Brief description starts here.

The documentation for this class was generated from the following files:

- permissions.hpp
- permissions.cpp